Returns all the leads, which are connected to the contact with the given contact-ID.
curl -X GET "https://api.example.com/restapi/v1/leads/search/cid/123" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.example.com/restapi/v1/leads/search/cid/123"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.example.com/restapi/v1/leads/search/cid/123", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.example.com/restapi/v1/leads/search/cid/123", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.example.com/restapi/v1/leads/search/cid/123')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
[
{
"leadId": 123,
"name": "John Doe",
"sector": "example_string",
"region": "example_string",
"size": 42,
"category": "example_string",
"processor": "example_string",
"rating": 42
}
]
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Error",
"message": "Method not allowed",
"code": 405
}
GET
/leads/search/cid/{contactid}GET
Base URLstring
Target server for requests. Edit to use your own host.
path
contactidinteger
RequiredThe contact ID, needed to find the leads connected to the contact with this ID.
Request Preview
Response
Response will appear here after sending the request
Path Parameters
contactidinteger
RequiredThe contact ID, needed to find the leads connected to the contact with this ID.
Responses
leadIdinteger
namestring
sectorstring
regionstring
sizeinteger
categorystring
processorstring
ratinginteger
Was this page helpful?